Package org.drinkless.tdlib

# Class TdApi.ProfilePhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ProfilePhoto

Enclosing class:
  `TdApi`

public static class TdApi.ProfilePhoto extends TdApi.Object
Describes a user profile photo.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.File`
  `big`
  A big (640x640) user profile photo.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasAnimation`
  True, if the photo has animated variant.
  `long`
  `id`
  Photo identifier; 0 for an empty photo.
  `boolean`
  `isPersonal`
  True, if the photo is visible only for the current user.
  `TdApi.Minithumbnail`
  `minithumbnail`
  User profile photo minithumbnail; may be null.
  `TdApi.File`
  `small`
  A small (160x160) user profile photo.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfilePhoto()`
  Describes a user profile photo.
  `ProfilePhoto(long id, TdApi.File small, TdApi.File big, TdApi.Minithumbnail minithumbnail, boolean hasAnimation, boolean isPersonal)`
  Describes a user profile photo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Photo identifier; 0 for an empty photo. Can be used to find a photo in a list of user profile photos.

  - ### small

    public TdApi.File small
    A small (160x160) user profile photo. The file can be downloaded only before the photo is changed.

  - ### big

    public TdApi.File big
    A big (640x640) user profile photo. The file can be downloaded only before the photo is changed.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    User profile photo minithumbnail; may be null.

  - ### hasAnimation

    public boolean hasAnimation
    True, if the photo has animated variant.

  - ### isPersonal

    public boolean isPersonal
    True, if the photo is visible only for the current user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProfilePhoto

    public ProfilePhoto()
    Describes a user profile photo.

  - ### ProfilePhoto

    public ProfilePhoto(long id, TdApi.File small, TdApi.File big, TdApi.Minithumbnail minithumbnail, boolean hasAnimation, boolean isPersonal)
    Describes a user profile photo.
    Parameters:
      `id` - Photo identifier; 0 for an empty photo. Can be used to find a photo in a list of user profile photos.
      `small` - A small (160x160) user profile photo. The file can be downloaded only before the photo is changed.
      `big` - A big (640x640) user profile photo. The file can be downloaded only before the photo is changed.
      `minithumbnail` - User profile photo minithumbnail; may be null.
      `hasAnimation` - True, if the photo has animated variant.
      `isPersonal` - True, if the photo is visible only for the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR